Debian Bug report logs - #401407
RM: python2.3 -- RoM; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Sun, 3 Dec 2006 10:18:11 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#401407; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: RM: python2.3
Date: Sun, 3 Dec 2006 11:09:44 +0100
Package: ftp.debian.org
Severity: serious

[severity serious, because it should be removed from etch as well]

Please remove python2.3 from unstable (and then let it propagate
to testing).  In the recent python-defaults in testing/unstable,
python 2.3 isn't marked anymore as an supported python version.



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#401407; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #14 received at 401407@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: 401407@bugs.debian.org
Subject: please do not do this yet
Date: Tue, 19 Dec 2006 11:15:40 -0800
[Message part 1 (text/plain, inline)]
Matthias Klose, in his eagerness to get rid of python2.3, uploaded a
0-day NMU, with no warning, for gnucash forcing it to use python 2.4.
He has not (as yet) responded to my email asking him what if any
verification he did that this does not introduce a regression into
gnucash.  I do not have time to do such a verification anytime soon.

If this introduced a regression, then the only fix is to go back to
python2.3.  Accordingly, python2.3 should not be removed from Debian
until the *maintainers* of the depending packages actually say "we don't
need it anymore".  Matthias decreeing that everybody doesn't need it,
and making it seem like the dependencies have gone away through unwarned
NMUs, does *not* serve as a suitable replacement for actually working
with the relevant maintainers.

Moreover, it is *way* too late in the etch release cycle to decree that
we must all switch to a new version of python.

Thomas

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#401407; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 401407@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: 401407@bugs.debian.org
Subject: Re: please do not do this yet (was RM: python2.3)
Date: Tue, 19 Dec 2006 22:50:49 +0100
On Tue, 19 Dec 2006, tb wrote:
>
> Moreover, it is *way* too late in the etch release cycle to decree that
> we must all switch to a new version of python.

please let python 2.3 stay in etch, i can't believe the default python
version of a stable release is not even present in the next. let sarge
users live a nice transition to the newer python version choosing their
right time.

cheers
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://people.debian.org/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#401407; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #24 received at 401407@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: 401407@bugs.debian.org
Subject: there is apparently a regression
Date: Tue, 19 Dec 2006 23:17:00 -0800
[Message part 1 (text/plain, inline)]
the non-RC and illegitimate upload of gnucash by Matthias Klose has
apparently in fact introduced a regression in gnucash.  if this is
correct, then it will indeed be necessary to keep python2.3.

It is WAY too late to be doing this now.  The time for this was at the
*beginning* of the release cycle, not the end.  The fact that the python
team dragged their feet for months does not mean they can now insist
that everyone adapt overnight.


[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 401407-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 401407-close@bugs.debian.org
Cc: python2.3@packages.debian.org, python2.3@packages.qa.debian.org
Subject: Bug#401407: fixed
Date: Tue, 09 Jan 2007 09:58:48 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

idle-python2.3 |   2.3.5-16 | all
 python2.3 |   2.3.5-16 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.3-dbg |   2.3.5-16 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.3-dev |   2.3.5-16 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.3-examples |   2.3.5-16 | all
python2.3-mpz |   2.3.5-16 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 401407@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 12:24:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:13:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.